<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
$session_id  = session_id();
/*Inicia validacion del lado del servidor*/
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    $numero_mesa = $_SESSION['numero_mesa'];
?>
<div class="input-group">
									<!--<input type="text" autocomplete="off" class="form-control UpperCase" id="cliente" name="cliente" placeholder="INDENTIFICATIVO">-->
<input list="clientes" placeholder="IDENTIFICATIVO DE CUENTA" class="form-control UpperCase" id="cliente" name="cliente">
<datalist id="clientes">
    <option value="">IDENTFICATIVO</option>
    <option value="">GENERAL</option>
    <?php
    $sql_ident = "SELECT identificativo, id_tmp FROM tmp_mesa WHERE mesa_tmp = $numero_mesa";
    $query_ident = mysqli_query($conexion, $sql_ident);
    $mesas_agrupadas = array();

    while ($rw = mysqli_fetch_array($query_ident)) {
        $identificativo = $rw['identificativo'];
        $id_tmp = $rw['id_tmp'];
        if (!isset($mesas_agrupadas[$identificativo])) {
            $mesas_agrupadas[$identificativo] = array();
        }
        $mesas_agrupadas[$identificativo][] = $id_tmp;
    }

    foreach ($mesas_agrupadas as $identificativo => $ids) {
        foreach ($ids as $id) {
            echo '<option value="' . $identificativo . '">' . $identificativo . '</option>'; // Mostrar solo una opción por identificativo
            break;
        }
    }
    ?>
</datalist>
</div>                                                    